ormolu-0.7.7.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Diff.ParseResult

Description

This module allows us to diff two `ParseResult`s.

Synopsis

- data ParseResultDiff
  - = Same
  - | Different [RealSrcSpan]
- diffParseResult :: ParseResult -> ParseResult -> ParseResultDiff

# Documentation

data ParseResultDiff #

Result of comparing two `ParseResult`s.

Constructors

Same | Two parse results are the same
Different [RealSrcSpan] | Two parse results differ

#### Instances

Instances details

Monoid ParseResultDiff # |
Instance details Defined in Ormolu.Diff.ParseResult Methods mempty :: ParseResultDiff # mappend :: ParseResultDiff -> ParseResultDiff -> ParseResultDiff # mconcat :: [ParseResultDiff] -> ParseResultDiff #
Semigroup ParseResultDiff # |
Instance details Defined in Ormolu.Diff.ParseResult Methods (<>) :: ParseResultDiff -> ParseResultDiff -> ParseResultDiff # sconcat :: NonEmpty ParseResultDiff -> ParseResultDiff # stimes :: Integral b => b -> ParseResultDiff -> ParseResultDiff #
Show ParseResultDiff # |
Instance details Defined in Ormolu.Diff.ParseResult Methods showsPrec :: Int -> ParseResultDiff -> ShowS # show :: ParseResultDiff -> String # showList :: [ParseResultDiff] -> ShowS #

diffParseResult :: ParseResult -> ParseResult -> ParseResultDiff #

Return `Diff` of two `ParseResult`s.